Bug 752637 - Remove Image Magick dep
Remove Image Magick dep
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
future
Unspecified Unspecified
unspecified Severity unspecified
: 3.0
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-09 21:02 EST by Jeff Fearn
Modified: 2012-10-30 23:11 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-30 23:11:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2011-11-09 21:02:20 EST
Publican has a dependency on Image Magick, this is a large program, makes porting difficult, and is no longer required.

Before the great re-licensing effort we didn't want the images used in the common or generated brands to be covered by the GPL, so we generated the SVGs in code at brand creation and then converted them to PNGs. Now that the common content is covered by the CC0 license there is nothing stopping us shipping SVGs and PNGs in the distribution as the license is liberal enough to not impact reuse.
Comment 1 Jeff Fearn 2011-11-10 00:09:11 EST
Removed  all references to Image::Magick & Image::Size. Made create_brand use template images. Currently these images are duplicates of the common brand, but they will be made more generic.

Applied changes to branches/publican-2x and trunk.

Committed revision 1940.
Comment 2 Martin Prpič 2012-04-24 13:09:45 EDT
Verified on Fedora 16!

Previously:

~]$ rpm -q publican
publican-2.8-1.fc15.noarch
~]$ rpm -qR publican | grep Image
perl(Image::Magick)  
perl(Image::Size) 


Now:

~]$ rpm -q publican
publican-3.0-0.fc16.t166.noarch
~]$ rpm -qR publican | grep Image
~]$

Note You need to log in before you can comment on or make changes to this bug.